---
lang: en
title: 'API docs: rest.rejectprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.rejectprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RejectProvider](./rest.rejectprovider.md)

## RejectProvider class

<b>Signature:</b>

```typescript
export declare class RejectProvider implements Provider<Reject> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[Reject](./rest.reject.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(logError, errorWriterOptions)](./rest.rejectprovider._constructor_.md) |  | Constructs a new instance of the <code>RejectProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [errorWriterOptions](./rest.rejectprovider.errorwriteroptions.md) |  | ErrorWriterOptions \| undefined |  |
|  [logError](./rest.rejectprovider.logerror.md) |  | [LogError](./rest.logerror.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action({ request, response }, error)](./rest.rejectprovider.action.md) |  |  |
|  [value()](./rest.rejectprovider.value.md) |  |  |


